## visad.data.hdf5.hdf5objects
Class HDF5Dataspace

    java.lang.Object
      visad.data.hdf5.hdf5objects.HDF5Object
          visad.data.hdf5.hdf5objects.HDF5Dataspace

All Implemented Interfaces:
  Serializable

public class HDF5Dataspace
extends HDF5Object

This class provides provides a mechanism to describe the positions of the elements of a dataset.

A dataspace describes the locations that dataset elements are located at. A dataspace is either a regular N-dimensional array of data points, called a simple dataspace, or a more general collection of data points organized in another manner, called a complex dataspace.

For details of the HDF5 libraries, see the HDF5 Documentation at: http://hdf.ncsa.uiuc.edu/HDF5/doc/

See Also:
  Serialized Form

Field Summary

Fields inherited from class visad.data.hdf5.hdf5objects.HDF5Object
`ATTRIBUTE, DATASET, DATASPACE, DATATYPE, description, GROUP, HDF5FILE, id, LINK, name, shortName, type, UNKNOWN`

Constructor Summary
`HDF5Dataspace()` Constructs an HDF5Dataspace
`HDF5Dataspace(int space_type)` Creates a new HDF5Dataspace
`HDF5Dataspace(int rank, long[] dims, long[] maxdims)` Creates a new HDF5Dataspace

Method Summary
`protected void` `finalize()` finalize() is called by the garbage collector on the object when garbage collection determines that there are no more references to the object.
`long[]` `getCount()` Returns the selected counts of the data
`long[]` `getDims()` Returns the dimensions of the dataspace
`long[]` `getMaxdims()` Returns the maximum dimensions of the dataspace
`int` `getRank()` Returns the rank of the dataspace
`void` `init()` initialize the HDF5Dataspace: open HDF5 library.
`void` `select(long[] start, long[] stride, long[] count)` select count[] points starting at start[] with stride[]
`String` `toString()` Converts this object to a String representation.

Methods inherited from class visad.data.hdf5.hdf5objects.HDF5Object
`getDescription, getID, getName, getShortName, getType, setID, setShortName, setType`

Methods inherited from class java.lang.Object
`clone, equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HDF5Dataspace

    public HDF5Dataspace()

  Constructs an HDF5Dataspace

### HDF5Dataspace

    public HDF5Dataspace(int space_type)

  Creates a new HDF5Dataspace

Parameters:
  `space_type` - The type of dataspace to be created.

### HDF5Dataspace

    public HDF5Dataspace(int rank,
                         long[] dims,
                         long[] maxdims)

  Creates a new HDF5Dataspace

Parameters:
  `rank` - Number of dimensions of dataspace.
  `dims` - An array of the size of each dimension.
  `maxdims` - An array of the maximum size of each dimension.

Method Detail

### init

    public void init()
              throws HDF5Exception

  initialize the HDF5Dataspace:
  1. open HDF5 library.
  2. Set up data ranks and dimensions.
  3. Set up start, stride and count.

  Overrides:
    `init` in class `HDF5Object`
  Throws:
    `HDF5Exception`

### select

    public void select(long[] start,
                       long[] stride,
                       long[] count)
                throws HDF5LibraryException,
                       NullPointerException,
                       IllegalArgumentException

  select count[] points starting at start[] with stride[]

  Parameters:
    `start` - the starting points.
    `stride` - the stride
    `count` - the number of points.
  Throws:
    `HDF5LibraryException`
    `NullPointerException`
    `IllegalArgumentException`

### getRank

    public int getRank()

  Returns the rank of the dataspace

### getDims

    public long[] getDims()

  Returns the dimensions of the dataspace

### getMaxdims

    public long[] getMaxdims()

  Returns the maximum dimensions of the dataspace

### getCount

    public long[] getCount()

  Returns the selected counts of the data

### toString

    public String toString()

  Converts this object to a String representation.

  Overrides:
    `toString` in class `HDF5Object`
  Returns:
    a string representation of this object

### finalize

    protected void finalize()
                     throws Throwable

  finalize() is called by the garbage collector on the object when garbage collection determines that there are no more references to the object. It is used to dispose of system resources or to perform other cleanup as C++ destructors

  Throws:
    `Throwable`